/*-
 * AvpMonitor for Linux (v0.1) 
 * Thanks Markus Wolf <klog@hert.org>, Promisc Security, who gives
 * us basic idea of interceptor.
 *
 * Copyright (C) 1999 Kaspersky Lab.
 * http://www.avp.ru
 *
 * This file is part of AvpMonitor
 * 
 * AvpMonitor is free software; you can redistribute it and/or modify
 * it without limitation.
 *
 * AvpMonitor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GNU CC; see the file COPYING.  If not, write to
 * the Free Software Foundation, 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.  
 */

// Auditd spec file 
#ifndef __AUDITD_H__
#define __AUDITD_H__

#define AUDIT_EXEC_BEFORE	'e'
#define AUDIT_EXEC_AFTER	'E'
#define AUDIT_OPEN_BEFORE	'o'
#define AUDIT_OPEN_AFTER	'O'
#define AUDIT_MODINIT	'm'
#define AUDIT_CONNECT	'c'
#define AUDIT_LISTEN 	'l'
#define AUDIT_ACCEPT 	'a'
#define AUDIT_SETUID	's'

#define MSK_AUDIT_EXEC_BEFORE	0x0001
#define MSK_AUDIT_EXEC_AFTER	0x0002
#define MSK_AUDIT_OPEN_BEFORE	0x0004
#define MSK_AUDIT_OPEN_AFTER	0x0008
#define MSK_AUDIT_MODINIT	0x0020
#define MSK_AUDIT_CONNECT	0x0080
#define MSK_AUDIT_LISTEN 	0x0200
#define MSK_AUDIT_ACCEPT 	0x0800
#define MSK_AUDIT_SETUID	0x2000

#define AUDIT_CONF_PATH	"/etc/AvpAudit/audit.conf"
#define AUDIT_SRC_PATH	"/proc/audit"

//#define AUDIT_BEFORE
#define AUDIT_AFTER

#endif
